package com.huiju.estateagents.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 小程序消息模板 
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniappTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Integer serialNo;

    /**
     * 小程序ID
     */
    private String miniappId;

    /**
     * 模板ID
     */
    private String tplId;

    /**
     * 模板名称
     */
    private String tplName;

    /**
     * 模板用途
     */
    private String tplType;

    /**
     * 模板字段数
     */
    private Integer fieldNum;


}
