package com.huiju.estateagents.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员授权项目
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonBuilding implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 人员ID
     */
    private String personId;

    /**
     * 项目ID
     */
    private String buildingId;

    /**
     * 海报
     */
    private String poster;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
