package com.huiju.estateagents.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Integer Id;

    /**
     * 省市区名称
     */
    private String name;

    /**
     * 上级ID
     */
    private Integer parentid;

    /**
     * 简称
     */
    private String shortname;

    /**
     * 级别:0,中国；1，省分；2，市；3，区、县
     */
    private Integer leveltype;

    /**
     * 城市代码
     */
    private String citycode;

    /**
     * 邮编
     */
    private String zipcode;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 拼音
     */
    private String pinyin;

    private String status;

    @TableField(exist = false)
    private String initial;


}
