package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaActivityDynamicEnlist;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 楼盘户型对应图片表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaActivityDynamicEnlistMapper extends BaseMapper<TaActivityDynamicEnlist> {

    /**
     * 查询活动报名记录
     * @param page
     * @param dynamicId
     * @return
     */
    List<TaActivityDynamicEnlist> signList(Page<TaActivityDynamicEnlist> page, @Param("dynamicId") String dynamicId);
}
