package com.huiju.estateagents.service;

import cn.binarywang.wx.miniapp.bean.WxMaJscode2SessionResult;
import cn.binarywang.wx.miniapp.bean.WxMaPhoneNumberInfo;
import cn.binarywang.wx.miniapp.bean.WxMaUserInfo;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaMiniappQrcode;
import me.chanjar.weixin.common.error.WxErrorException;

import java.time.LocalDateTime;

public interface IMiniAppService {
    WxMaJscode2SessionResult getSessionInfo(String code) throws WxErrorException;

    boolean checkUserInfo(String sessionKey, String rawData, String signature);

    WxMaUserInfo getUserInfo(String sessionKey, String encryptedData, String iv);

    WxMaPhoneNumberInfo getPhoneNoInfo(String sessionKey, String encryptedData, String iv);

    void sendNoticeMessage(String toUser, String link, String name, String phone, String content, LocalDateTime dt);

    void sendMainBizMessage(String toUser, String link, String custName, String phone, String sex, String fromName, String bizType, String content);

    void sendNewCustomerMessage(String toUser, String link, String custName, String phone, String sex, String fromName);

    ResponseBean getQrCode(String paramsStr);

    TaMiniappQrcode getQrCodeBySerialNo(Integer id);
}
