package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaRecommendCustomer;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 推荐客户表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaRecommendCustomerService extends IService<TaRecommendCustomer> {

    ResponseBean getMyCustList(String openid, String keywords, int pageNumber, int pageSize);

    ResponseBean getCustDetail(String id);

    ResponseBean updateCustByJSON(String paramStr);

    ResponseBean recommendCust(String paramStr, String openid);

    ResponseBean reportCust(String paramStr, String openid);

    IPage<TaRecommendCustomer> getUnSignedCustomerList(int pageNumber, int pageSize, String building,String personId);

    IPage<TaRecommendCustomer> getCustomerList(int pageNumber, int pageSize, String building,String name,String tel,String consultName,String consultTel,String entryType,String verifyStatus,Integer sex);

    IPage<TaRecommendCustomer> getRecCustomerList(int pageNumber, int pageSize, String building,String name,String tel,String consultName,String consultTel,String entryType,String verifyStatus,Integer sex);

    IPage<TaRecommendCustomer> getRepCustomerList(int pageNumber, int pageSize, String building,String name,String tel,String consultName,String consultTel,String entryType,String verifyStatus,Integer sex);

    IPage<TaPerson> getIndependentAgents(int pageNumber, int pageSize,String name,String tel);


    TaRecommendCustomer getCustomerDetail(String customerId);

    TaRecommendCustomer getCustomerById(String customerId);

    IPage<TaRecommendCustomer>getCustomersIRecommended(int pageNumber, int pageSize,String customerId,String building);

    TaRecommendCustomer newByPerson(TaPerson person);
}
