package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.TaBuildingReport;
import com.huiju.estateagents.mapper.TaBuildingReportMapper;
import com.huiju.estateagents.service.ITaBuildingReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 项目报表设置  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-08-08
 */
@Service
public class TaBuildingReportServiceImpl extends ServiceImpl<TaBuildingReportMapper, TaBuildingReport> implements ITaBuildingReportService {
	
	@Autowired
	private TaBuildingReportMapper taBuildingReportMapper;
	
	@Override
	public void deleteAll() {
		taBuildingReportMapper.deleteAll();
	}
}
