package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.TaEventProperties;
import com.huiju.estateagents.mapper.TaEventPropertiesMapper;
import com.huiju.estateagents.service.ITaEventPropertiesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 事件属性字典  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-08-06
 */
@Service
public class TaEventPropertiesServiceImpl extends ServiceImpl<TaEventPropertiesMapper, TaEventProperties> implements ITaEventPropertiesService {

    @Autowired
    TaEventPropertiesMapper taEventPropertiesMapper;

    @Override
    public Integer isEventExist(String targetId,String eventType,String activity){
        return taEventPropertiesMapper.isEventExist(targetId,eventType,activity);
    }

}
