package com.huiju.estateagents.center.taUser.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.center.taUser.mapper.TaUserMapper;
import com.huiju.estateagents.center.taUser.service.ITaUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Service
public class TaUserServiceImpl extends ServiceImpl<TaUserMapper, TaUser> implements ITaUserService {
	
	@Autowired
	private TaUserMapper taUserMapper;
	
	@Override
	public IPage<Map<String,Object>> getPageList(IPage pg) {
		List<Map<String,Object>> taUserList = taUserMapper.getPageList(pg);
		pg.setRecords(taUserList);
		return pg;
	}
}
