package com.huiju.estateagents.common;

public class CommConstant {
    public final static String ALIOSS_DEFAULT_UPLOAD = "/miniapp/upload/images/";

    /**
     * 人员类型: 置业顾问
     */
    public final static String PERSON_REALTY_CONSULTANT = "Realty Consultant";

    /**
     * 人员类型: 销售主管
     */
    public final static String PERSON_SALES_EXECUTIVE = "Sales Executive";

    /**
     * 人员类型: 经纪人
     */
    public final static String PERSON_ESTATE_AGENT = "estate agent";

    /**
     * 状态: 正常
     */
    public final static int STATUS_NORMAL = 1;

    /**
     * 状态: 删除
     */
    public final static int STATUS_DELETE = -1;

    /**
     * 消息未读
     */
    public final static int MESSAGE_UNREAD = 0;

    /**
     * 消息已读
     */
    public final static int MESSAGE_READED = 1;

    /**
     * 点赞置业卡片
     */
    public final static String FAVOR_CONSULTANT = "consultant";

    /**
     * 点赞资讯
     */
    public final static String FAVOR_NEWS = "news";

    /**
     * 点赞项目
     */
    public final static String FAVOR_PROJECT = "project";

    /**
     * 活动点赞
     */
    public final static String FAVOR_ACTIVITY = "activity";


    /**
     * 兑换商品
     */
    public final static String POINTS_CHANGE_GOODS = "goods";
    
    /**
     * 签到
     */
    public final static String POINTS_CHANGE_CHECKIN = "checkin";
    
    /**
     * 分享
     */
    public final static String POINTS_CHANGE_SHARE_POSTER = "share-poster";
    
    /**
     * 注册经纪人
     */
    public final static String POINTS_CHANGE_SIGNUP_AGENT = "signup-agent";

    /**
     * 推荐客户
     */
    public final static String POINTS_CHANGE_RECOMMEND_CUSTOMER = "recommend-customer";


    /**
     * 小程序默认首页
     */
    public final static String MINIAPP_INDEX = "/index/index";

    public final static String MINIAPP_DEFAULT_AVATAR = "https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/default_avatar.jpg";


    /**
     * 未领取
     */
    public static final Integer STATUS_UNACCALIMED = 0;
    
    /**
     * 成功
     */
    public static final String SUCCESS = "success";



    /**
     * 活动的当前状态1:进行中
     */
    public static final Integer ACTIVITY_CONDITION_PROCESSING = 1;

    /**
     * 活动的当前状态2:未开始
     */
    public static final Integer ACTIVITY_CONDITION_PREPARE = 2;

    /**
     * 活动的当前状态3:结束
     */
    public static final Integer ACTIVITY_CONDITION_FINISH = 3;

    //=================  首屏广告 / 轮播图 start =======================

    /**
     * 首页 轮播图/广告 类型 ====  活动
     */
    public static final String CAROUSEL_ACTIVITY = "activity";

    /**
     * 首页 轮播图/广告 类型 ==== 项目
     */
    public static final String CAROUSEL_PROJECT = "project";

    /**
     * 首页轮播图/广告 类型 ==== 资讯
     */
    public static final String CAROUSEL_NEWS = "news";

    /**
     * 首页轮播图/广告 类型 ==== 其他
     */
    public static final String CAROUSEL_OTHER = "other";

    /**
     * 打开放式_开屏
     */
    public static final String OPEN_SCREEN = "screen";

    /**
     * 打开放式_首页轮播图
     */
    public static final String CAROUSEL = "banner";

    /**
     * 首屏广告_发布位置——商城
     */
    public static final String MALL = "mall";

    /**
     * 首屏广告_发布位置——首页
     */
    public static final String BANNER_INDEX = "index";

    //=================  首屏广告 / 轮播图 end =======================

    /**
     * 客户报备
     */
    public static final String CUSTOMER_REPORT = "1";

    /**
     * 客户到访
     */
    public static final String CUSTOMER_VISITE = "2";

    /**
     * 客户认购
     */
    public static final String CUSTOMER_PREORDER = "3";

    /**
     * 客户签约
     */
    public static final String CUSTOMER_SIGNED = "4";


    /**
     * 待审核
     */
    public static final Integer VERIFY_READY = 0;

    /**
     * 审核同意
     */
    public static final Integer VERIFY_AGREE = 1;

    /**
     * 审核不同意
     */
    public static final Integer VERIFY_DISAGREE = 2;

    //=================  客户入口类型 start =======================
    /*
    * 自主进入
    * */
    public static final String ENTRY_VOLUNTEER = "volunteer";
    /*
    添加
    */
    public static final String ENTRY_INPUT = "input";
    /*
    * 报备
    * */
    public static final String ENTRY_VERIFY = "verify";
    //=================  客户入口类型 end =======================

    /**
     * 积分规则开启
     */
    public static final Integer POINTS_RULE_ON = 1;

    /**
     * 积分规则关闭
     */
    public static final Integer POINTS_RULE_OFF = 0;

    /**
     * 签到积分规则
     */
    public static final Integer POINTS_RULE_CHECKIN = 1;

    /**
     * 分享海报积分规则
     */
    public static final Integer POINTS_RULE_SHARE_POSTER = 2;

    /**
     * 推荐客户积分规则
     */
    public static final Integer POINTS_RULE_RECOMMENDER_CUSTOMER = 3;

    /**
     * 注册经纪人积分规则
     */
    public static final Integer POINTS_RULE_SIGNUP_AGENT = 4;

    /**
     * 平台积分
     */
    public static final String POINTS_RULE_PLATFORM = "platform";

    /**
     * 项目积分
     */
    public static final String POINTS_RULE_PROJECT = "project";


    // ----   用户活跃数  查询条件 start ------

    public static final String DAY = "day";

    public static final String WEEK = "week";

    public static final String MONTH = "month";

    // ----     查询条件 end ------

    // -----   转化率 start -------

    /**
     * 项目收藏
     */
    public static final String BUILDING_SAVE = "building_save";

    /**
     * 项目转发
     */
    public static final String BUILDING_SHARE = "building_share";

    /**
     * 活动收藏
     */
    public static final String ACTIVITY_SAVE = "activity_save";

    /**
     * 活动转发
     */
    public static final String ACTIVITY_SHARE = "activity_share";

    /**
     * 咨迅收藏
     */
    public static final String NEWS_SAVE = "news_save";

    /**
     * 咨迅转发
     */
    public static final String NEWS_SHARE = "news_share";

    /**
     * 活动报名
     */
    public static final String ACTIVITY_SIGN = "activity_sign";

    /**
     * 授权手机号
     */
    public static final String AUTHORIZATION_PHONE = "authorization_phone";

    // ------   转化率 end ---------


    // ------- 用户来源 查询条件 start ----------

    public static final String REGISTERED_TYPE = "registered";

    // ------- 用户来源 查询条件 end ----------

    // ------- 性别 start -------
    public static final Integer SEX_MALE = 1;
    public static final Integer SEX_FEMALE = 2;
    // ------- 性别 end -------

    // ------- 推荐客户状态 start -------
    // 到访
    public static final Integer RECOMMEND_CUSTOMER_STATUS_ARRIVAL = 1;
    // 签约
    public static final Integer RECOMMEND_CUSTOMER_STATUS_SIGN = 2;
    //
    public static final Integer RECOMMEND_CUSTOMER_STATUS_PRE_ORDER = 2;
    // ------- 推荐客户状态 end -------


    // ------- 客户推荐报备状态 start -------
    // 未报备，未推荐
    public static final Integer READY = 0;
    // 已报备
    public static final Integer REPORTED = 1;
    // 已推荐
    public static final Integer RECOMMENDED = 2;
    // ------- 客户推荐报备状态 end -------

    // ------- 政策发布状态 start -------
    // 已发布
    public static final Integer IS_PUBLISH = 1;
    // 未发布
    public static final Integer NOT_PUBLISH = 0;
    // ------- 政策发布状态 end -------

}
