package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 菜单按钮表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysButtonInMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 按钮ID
     */
    @TableId(value = "btn_id", type = IdType.AUTO)
    private Integer btnId;

    /**
     * 菜单ID
     */
    private Integer menuId;

    /**
     * 按钮名称
     */
    private String name;

    /**
     * 状态
     */
    private Integer status;

    private String code;


}
