package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_activity_dynamic_enlist")
public class TaActivityDynamicEnlist implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报名ID
     */
    @TableId(value = "enlist_id", type = IdType.AUTO)
    private Integer enlist_id;

    /**
     * 活动ID
     */
    private String dynamicId;

    private String personId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 手机号
     */
    private String phone;

}
