package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-09-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_channel")
public class TaChannel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 渠道id
     */
    @TableId(value = "channel_id", type = IdType.AUTO)
    private Integer channelId;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 渠道唯一识别码
     */
    private String channelCode;

    /**
     * 渠道联系人
     */
    private String channelContact;

    /**
     * 联系电话
     */
    private String contactTel;

    /**
     * 经纪人数
     */
    private Integer agentsNum;

    /**
     * 有效推荐数
     */
    private Integer recommendEffective;

    /**
     * 邀请经纪人数
     */
    private Integer agentsInvite;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;


}
