package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaPointsRecords;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 积分消费流水表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Mapper
public interface TaPointsRecordsMapper extends BaseMapper<TaPointsRecords> {
    IPage<TaPointsRecords> getCustomerPointsList(IPage<TaPointsRecords> page, @Param("personId") String personId);

}
