package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TdBizEvent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 事件字典  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-08-06
 */
@Mapper
public interface TdBizEventMapper extends BaseMapper<TdBizEvent> {

    /**
     * 获取意向值选项和意向值
     * @param pg
     * @param buildingId
     * @return
     */
    IPage<TdBizEvent> selectBizEventAndIntention(IPage<TdBizEvent> pg, @Param("buildingId") String buildingId);
}
