package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.entity.*;

/**
 * <p>
 * 积分消费流水表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface ITaPointsRecordsService extends IService<TaPointsRecords> {

	void sharePoints(TaShare taShare);

	void checkinPoints(TaPersonSign taPersonSign);

	void signUpPoints(TaPerson taPerson);

	void recommendCustPoints(TaRecommendCustomer taRecommendCustomer);

	void consumeGoodsPoints(TaGoods taGoods);

	/**
	 * 分享积分增加  人员不限制
	 * @param recommenderId
	 */
    void sharePosterAll(String recommenderId);
}
