package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.TdCity;
import com.huiju.estateagents.mapper.TdCityMapper;
import com.huiju.estateagents.service.ITdCityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Service
public class TdCityServiceImpl extends ServiceImpl<TdCityMapper, TdCity> implements ITdCityService {
    @Autowired
    TdCityMapper tdCityMapper;

    public List<TdCity> selectCity(String leveltype,String status){
        return tdCityMapper.selectCity(leveltype, status);
    }

}
